Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.j2ee.statistics
Class StatisticFactory

    java.lang.Object
      com.sun.appserv.management.j2ee.statistics.StatisticFactory

public final class StatisticFactory
extends java.lang.Object

Creates Statistic implementations based on CompositeData or Map.

Method Summary
`static Statistic` | `create(java.lang.Class theInterface, CompositeData data)` Create a new Statistic using the specified CompositeData
`static Statistic` | `create(java.lang.Class theInterface, java.util.Map mappings)` Create a new Statistic using the specified map.
`static Statistic` | `create(CompositeData data)` Create a new Statistic using the specified CompositeData.
`static java.lang.Class` | `getInterface(Statistic s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### create

    public static Statistic create(java.lang.Class theInterface,
                                   CompositeData data)

  Create a new Statistic using the specified CompositeData

  Parameters:
    `theInterface` - interface which the Statistic should implement, must extend Statistic

### create

    public static Statistic create(CompositeData data)

  Create a new Statistic using the specified CompositeData. The CompositeType of data must be an appropriate Statistic class.

### create

    public static Statistic create(java.lang.Class theInterface,
                                   java.util.Map mappings)

  Create a new Statistic using the specified map. The standard JSR 77 types are handled appropriately. Custom (non-standard) Statistics may also be used; in this case a proxy is returned which implements the interface specified by theClass.

  Parameters:
    `theInterface` - the interface which the resulting statistic implements
    `mappings` - a Map containing keys of type String and their Object values

### getInterface

    public static java.lang.Class getInterface(Statistic s)

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.